# LF-KOTLIN CLI plugin

This CLI plugin was created to solve the following challenges:

1. Generate all the kotlin modules, such as schema and storage beans. These
   beans are generated based on the schema object always presented in LF complex
   forms.
1. Give all the standard lf schema's validations, such as: isRequired, min, max,
   minLength, maxLength, etc..
1. Give a simple solution to serialize/deserialize objects from JS to Kotlin and
   the opposite.

# Commands

Below we show all commands that you could use with lf-kotlin CLI plugin:

- `lf-kotlin --help` - show all cli commands and options for each command
- `lf-kotlin generate <lfSchemaJsonFile> <outputdir> <projectName> -g <groupId> -a <artifactId>` -
  basic example to generate the kotlin module for some LF application
